local M = {}
M.type = 'auxilliary'
M.relevantDevice = nil

local blinkTimerThreshold = 0.2

	local function updateGFX(dt) 

	if electrics.values.running and electrics.values.signal_right_input ==1 and electrics.values.lowhighbeam == 0 or electrics.values.hazard ==1 and electrics.values.lowhighbeam == 0 then

		electrics.values.drl_R = 0
		 
	elseif electrics.values.engineRunning == 1 then

		electrics.values.drl_R = 1
		 
	else
	electrics.values.drl_R = 0
	end

	if electrics.values.running and electrics.values.signal_left_input ==1 and electrics.values.lowhighbeam == 0 or electrics.values.hazard_enabled ==1 and electrics.values.lowhighbeam == 0 then

		electrics.values.drl_L = 0
		 
	elseif electrics.values.engineRunning == 1 then

		electrics.values.drl_L = 1
		 
	else
	electrics.values.drl_L = 0
	end


if electrics.values.lowhighbeam == 1 and electrics.values.hazard_enabled ==1 then

	electrics.values.hazard1 = 0
	
	elseif electrics.values.lowhighbeam == 1 then
	electrics.values.hazard1 = 1
	
	else
	electrics.values.hazard1 = 0

end


end

	-- public interface
	M.onInit    = nop
	M.updateGFX = updateGFX
	return M